import request from '@/utils/request'

// 查询预警管理负责人列表
export function listPrincipal(query) {
  return request({
    url: '/system/principal/list',
    method: 'get',
    params: query
  })
}

// 查询预警管理负责人详细
export function getPrincipal(id) {
  return request({
    url: '/system/principal/' + id,
    method: 'get'
  })
}

// 新增预警管理负责人
export function addPrincipal(data) {
  return request({
    url: '/system/principal',
    method: 'post',
    data: data
  })
}

// 修改预警管理负责人
export function updatePrincipal(data) {
  return request({
    url: '/system/principal',
    method: 'put',
    data: data
  })
}

// 删除预警管理负责人
export function delPrincipal(id) {
  return request({
    url: '/system/principal/' + id,
    method: 'delete'
  })
}

// 导出预警管理负责人
export function exportPrincipal(query) {
  return request({
    url: '/system/principal/export',
    method: 'get',
    params: query
  })
}